
Infrastructure - Task #4265

Story # 3755 (Closed): Structural changes to D1 APIs for 2.0 release

Deprecate MNStorage.archive() and CNCore.archive()

2014-02-12 00:32 - Robert Waltz

Status: Closed Start date: 2014-02-12

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

Both methods MNStorage.archive() and CNCore.archive() should be  marked as deprecated in V2.  Anyone calling archive will

simply be a facade of hide() or whatever we decide to name the op.

Related issues:

Related to Infrastructure - Task #4264: Add  hide()  and display() to CN and ... Rejected 2014-02-12

History

#1 - 2014-07-11 17:20 - Ben Leinfelder

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

The preferred method for marking content as archived will be the MN.updateSystemMetadata() and/or CN.updateSystemMetadata()

#2 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0
